#include <bits/stdc++.h>

using namespace std;
using ll = long long;

void solve() {
    int n, m;
    cin >> n >> m;
    vector<ll> x(m);
    for (int i = 0; i < m; i++)
        cin >> x[i];
    vector dp(n+1, vector<ll>(m, -1e18));
    std::reverse(x.begin(), x.end());
    dp[n-1][0] = x[0];
    for(int i = 1; i < m; i++){
        dp[0][i] = max(dp[1][i-1] + x[i], dp[0][i]);
        dp[n][i] = max(dp[n-1][i-1] - x[i], dp[n][i]);
        for(int j = 1; j < n; j++){
            dp[j][i] = max({dp[j - 1][i - 1] - x[i], dp[j + 1][i - 1] + x[i], dp[j][i]});
        }
    }
    ll ans = 0;
    for(int j = 0; j <= n; j++){
        ans = max(ans, dp[j][m-1]);
    }
    cout << ans << '\n';
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t;
    cin >> t;
    while (t--)
        solve();
    return 0;
}
/*
K ai + 1
N-K + 1

проходимся по массиву поддерживаем максимумы и для каждого сколько у них +1
 при добавлении нового элемнт мы либо его добавляем либо он идет cadd+1
 */